Your addons are F*$&ED, 15 July

wildstar
pc

#1

15 July 2014

So, this is the first time they’ve done an API update since the game launched (we’re on version 9 now instead of 8), hence all your addons being broken. You’ve got two options:

  • Wait for the author of each of your addons to apply an update to fix it
  • Do like me and fix it yourself :wink:

This should preclude you from ever experiencing this issue in the future with the addons you currently have installed. If you download new ones, you’ll have to go through this process again whenever we update to API 10 (hopefully not any time soon).

  1. Close your game if it’s running
  2. Navigate to C:\Users\YOURUSERNAME\AppData\Roaming\NCSOFT\WildStar (click Start, type %appdata%, and hit enter)
  3. Right-click Addons.xml and select Edit (this should open the file in notepad)
  4. From the menu, select Edit->Replace…
  5. In the Find what: block put IgnoreVersionForceLoad=“0”
  6. In the Replace with: block put IgnoreVersionForceLoad=“1”
  7. Click Replace All
  8. Save and Exit
  9. Get back to Nexus, cupcake

What you’ve done is told the game to ignore version incompatibility with your installed addons. In most cases, there’s an 8 where there now needs to be a 9 in your addons’ config files. That’s literally the only problem. There were some adjustments made to the API, obviously, but it will not affect most addons. Keep an eye out for updates through your curse client from the addon developers where they’ll correct this gross oversight. There is an almost-unimaginably-small chance this will bork things. If it does, for some crazy reason, just repeat the steps and swap the Find what: and Replace with: information to go back to having no 3rd party addons and wait patiently for updates from the respective addon authors.

Edit:
Alternatively, if you’ve only got a couple addons and/or aren’t comfortable with the above instructions, you can manually toggle the addons one at a time via the in game addons menu. Just select an addon from the list and click Change Load Rules to bring up the window. There should be a checkbox there to allow that addon to ignore API mismatch. Suffice it to say, I’ve got a ton of addons and it’s way easier for me to handle the entire list in one go rather than fix them individually.

1 July 2014

Right, the patch last night wrecked everyone’s addons. They’re all still installed, but the settings will all be reverted to default. Here’s how you fix it:

  1. If you haven’t logged all the way in on a character, do so. You have to see the problem to fix it. Wibbly-wobbly and all that jazz.
  2. Close your game all the way out
  3. Navigate to \AppData\Roaming\NCSOFT\WildStar\AddonSaveData\ (click Start, type %appdata%, and hit enter)
  4. There will be 2 folders in there. Their names are probably completely nonsensical.
  5. Delete the contents of the NEWER folder.
  6. Copy/paste the contents of the OLDER folder into the new folder
  7. Enjoy The Strain Ultradrop :smiley:

Auth


#2

Thanks!


#3

Having accidentally hit “restore defaults” weeks ago. This is the same process for resolving restore defaults. As well as this will probably be a fix if this happens in the future.


#4

They done broke shit again! To be fair, this was a break we knew would happen; updated OP with the fix.


#5

PSA to disable or remove Scrappy from your addons folder; it is causing some FPS issues every time you loot.